#
# spec file for package perl-Modern-Perl
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Modern-Perl
Name:           perl-Modern-Perl
Version:        1.20241001
Release:        1.1
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Enable all of the features of Modern Perl with one import
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/C/CH/CHROMATIC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(feature)
BuildRequires:  perl(mro)
Requires:       perl(feature)
Requires:       perl(mro)
%{perl_requires}

%description
enable all of the features of Modern Perl with one import

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Tue Oct  1 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.20241001
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20241001 2024-09-30 19:12:47-07:00 America/Los_Angeles
  - fix switch tests after Perl 5.41.4 removal of deprecated feature (RT #155822, Slaven Rezic)
  1.20240120 2024-01-20 12:15:09-08:00 America/Los_Angeles
  - fix tests for Perl < 5.26.0 (RT #151198, Slaven Rezic)
  - fix feature reset for Perl < 5.15 (RT #151190, Slaven Rezic)
* Mon Jan 15 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.20240115
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20240115 2024-01-14 17:47:22-08:00 America/Los_Angeles
  - update for 2024 year bundle
* Fri Jan  6 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.20230106
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20230106 2023-01-05 17:15:46-08:00 America/Los_Angeles
  - update for 2023 year bundle
  - fix a few nits in tests
* Mon May 16 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.20220515
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20220515 2022-05-15 11:15:25-07:00 America/Los_Angeles
  - enable signatures in 2022 year bundle
  - add 2021 and 2022 year bundles
* Wed Feb 12 2020 <timueller+perl@suse.de>
- updated to 1.20200211
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20200211 2020-02-10 19:33:55-08:00 America/Los_Angeles
  - bash doesn't like !' in double quotes, so it stuck up for awk
* Sun Feb  2 2020 <timueller+perl@suse.de>
- updated to 1.20200201
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20200201 2020-01-31 18:41:36-08:00 America/Los_Angeles
  - fix tests for Perl 5.32 (Tony Cook, RT #131608)
  - update for 2020
* Sun Jul 28 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.20190727
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20190727 2019-07-27 12:15:27-07:00 America/Los_Angeles
  - remove explicit autodie dependency (GH #11, gordon-fish, mst, #perl)
  - add description of odern::Perl module (Utkarsh Gupta, Debian, GH issue #12)
* Sun Jun  2 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.20190601
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20190601 2019-06-01 09:19:36-07:00 America/Los_Angeles
  - update for 2019
  - reduce scope of lexical %%dates (RT #128406)
  - support `perl -Modern::Perl=20xx` (RT #96319)
* Thu Nov  8 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.20181021
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20181021 2018-10-21 12:09:32-07:00 America/Los_Angeles
  - autogenerate META.json file (Mohammad S Anwar, GH PR #7)
  - remove Module::Build build dependency to make installation easier
* Fri Sep 28 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.20180928
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20180928 2018-09-27 18:29:25-07:00 America/Los_Angeles
  - skip tests for Perls without arraybase (Dagfinn Ilmari Mannsåker, GH #10)
* Wed Sep 19 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.20180901
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
* Tue Jul 17 2018 coolo@suse.com
- updated to 1.20180701
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20180701 2018-07-01 10:34:32-07:00 America/Los_Angeles
  - added support for Perl 5.26 and 5.28
* Wed Jan 18 2017 coolo@suse.com
- updated to 1.20170117
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
* Mon Jan 16 2017 coolo@suse.com
- updated to 1.20170115
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20170115 2017-01-15 13:22:05-08:00 America/Los_Angeles
  - updated for 2017 release
  - maybe 2016 should have supported 5.22, but given how long I waited... oops
  - improved documentation about reexporting (RT #109076)
* Fri Dec 30 2016 coolo@suse.com
- updated to 1.20161229
  see /usr/share/doc/packages/perl-Modern-Perl/Changes
  1.20161229 2016-12-28 16:02:17-08:00 America/Los_Angeles
  - improved VERSION numbering (Gryphon Shafer, GH #5)
  1.20161005 2016-10-05 09:38:21-07:00 America/Los_Angeles
  - updated for 2016 release (Gryphon Shafer)
  - added support for 5.24
* Sat Feb  7 2015 coolo@suse.com
- updated to 1.20150127
  - updated for 2015 release (Elmer Quintanilla)
  - added support for 5.20
* Sun Feb  9 2014 coolo@suse.com
- updated to 1.20140107
  - updated for 2014 release
  - added support for 5.18
* Wed Jun  5 2013 coolo@suse.com
- updated to 1.20121103
  - fixed VERSION( undef ) (Peter Vereshagin, RT #80304)
  - fixed POD encoding error (Norbert E. Grüner, RT #80468)
  - added Perl 5.16 support
* Mon Feb 20 2012 coolo@suse.com
- updated to 1.20120130
  - fixed t/year_imports.t for 5.10 (ANDK and sprout again)
  - fixed t/regressions.t for 5.10
  - made raw numbers work in import
  - fixed for Perl 5.15.5 and later (ANDK and sprout)
  - loaded IO::File/IO::Handle to allow methods on lexical filehandles
  - added unimporting
  - removed use of autodie; moved it to a distribution prerequisite
  - enabled unicode_strings by default when your Perl supports it
  - migrated to Dist::Zilla
  - added autodie dependency/import
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Mon Jan 17 2011 coolo@novell.com
- initial package 1.03
  * created by cpanspec 1.78.03
